@import '../../../sass/variables';
@import '../../../sass/mixins';

#dashboard-settings {
  .setting {
    .setting-header {
      color: $lightGrey;
      font-size: 16px;
      padding: 20px 0;
    }
  }


  #title-setting {
    .setting-content {
      width: 100%;

      .setting-input {
        width: 100%;

        .web-input {
          width: 100%;
        }
      }
    }
  }

  #default-filter-setting {
    .setting-content {
      width: 100%;
    }

    @include fromBreakpoint(desktop) {
      .setting-content {
        display: flex;

        .setting-dropdown {
          width: 50%;
          float: left;

          .web-dropdown {
            width: 100%;
          }

          &:first-child {
            padding-right: 10px;
          }

          &:last-child {
            padding-left: 10px;
          }
        }
      }
    }

    @include untilBreakpoint(desktop) {
      .setting-content {
        .setting-dropdown {
          width: 100%;

          .web-dropdown {
            width: 100%;
          }

          &:first-child {
            margin-bottom: 5px;
          }
        }
      }
    }
  }

  #delete-setting {
    .setting-content {
      #delete-button {
        padding: 5px 15px;
      }
    }
  }
}
